Skip to main content
POST
Search issues

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string
required

Body

application/json
deploymentId
string
filters
Issue filters · object

Filters for narrowing issue search results. Fields are combined with AND; multiple values within a field are combined with OR.

sortField
enum<string>
Available options:
ISSUE_SORT_FIELD_SEVERITY,
ISSUE_SORT_FIELD_LAST_DETECTED_AT,
ISSUE_SORT_FIELD_CREATED_AT,
ISSUE_SORT_FIELD_FILE_PATH
sortDirection
enum<string>
Available options:
SORT_DIRECTION_ASC,
SORT_DIRECTION_DESC
limit
integer<int64>
cursor
string

Response

200 - application/json

OK

issues
Issue · object[]
total
string
cursor
string